# NodeSocketInterfaceVectorDirection(NodeSocketInterfaceStandard)

base classes — `bpy_struct`, `NodeSocketInterface`, `NodeSocketInterfaceStandard`

class `bpy.types.``NodeSocketInterfaceVectorDirection`(NodeSocketInterfaceStandard)

  3D vector socket of a node

  `default_value`

    Input value used for unconnected socket

    Type: | float array of 3 items in [-inf, inf], default (0.0, 0.0, 0.0)

  `max_value`

    Maximum value

    Type: | float in [-inf, inf], default 0.0

  `min_value`

    Minimum value

    Type: | float in [-inf, inf], default 0.0

Inherited Properties

`bpy_struct.id_data` `NodeSocketInterface.name` `NodeSocketInterface.identifier` | `NodeSocketInterface.is_output` `NodeSocketInterface.bl_socket_idname` `NodeSocketInterfaceStandard.type`

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` | `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values` `NodeSocketInterface.draw` `NodeSocketInterface.draw_color` `NodeSocketInterface.register_properties` `NodeSocketInterface.init_socket` `NodeSocketInterface.from_socket` `NodeSocketInterfaceStandard.draw` `NodeSocketInterfaceStandard.draw_color`